Subject: Re: win-test: unknown terminal "xterm-256color", was Re: [RFC PATCH 6/6] ls-tree: introduce '--pattern' option

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Mar 2023 14:05:03 -0700

Jeff King <[email-masked]> writes:

> then I note two interesting things:
>
>   - the attempted colorization does nothing on ubuntu, because it's
>     already TERM=dumb

This is expected, I think.

>   - the colorization on windows works! But I thought it was exactly
>     these sorts of tputs that are causing the error messages.

Yeah, tput complains about unknown terminal as terminfo database is
not shipped.  But perhaps it falls back to bog-standard ANSI after
doing its complaining?  I dunno.

> ... I'm inclined to just leave it alone for now.

That's fine, too.

Thanks.